C------------------------------------------------------------------
C  HL2MYR  GENERATE SHOT YEAR FROM SHOT NUMBER BY HISTORICAL ANALYSIS
C
C  HL2M vsn adapted from TFTRYR.FOR
C  04/15/13 C. Ludescher-Furth
C           shot info from Robert Budny

C
      SUBROUTINE HL2MYR(NSHOT,ZYEAR)
C
      implicit NONE
C
      integer NSHOT
      CHARACTER*(*) ZYEAR
C
      integer ilen
C
C
      zyear=' '
      ilen=len(zyear)
C
      if(ilen.gt.3) then
         IF(NSHOT.GE.1) then
            ZYEAR(ilen-3:ilen)='2015'
         else
            ZYEAR(ilen-3:ilen)='2014'
         endif
      else
         IF(NSHOT.GE.1) then
            ZYEAR(ilen-1:ilen)='15'
         else
            ZYEAR(ilen-1:ilen)='14'
         endif
      endif
C
      RETURN
      END

 
